extends Node


signal niveau_demarre

const curseur_voyage: Texture = preload("res://composants/interface/curseur/arrow_nw.png")


func _ready() -> void:
	Input.set_custom_mouse_cursor(curseur_voyage, Input.CURSOR_MOVE)


func demarrer_niveau(niveau: PackedScene) -> void:
	add_sibling(niveau.instantiate())
	niveau_demarre.emit()
	queue_free()
